<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        p {
            background-color: burlywood;
        }

        div {
            padding: 10px;
            background-color: #ff8800
        }

        #mensaje {
            padding: 10px;
            background-color: unset;
            display: none;
        }
    </style>
</head>

<body>
    <div id="capa">Haz clic en un botón</div>
    <input type="button" value="Botón A" class="boton1">
    <input type="button" value="Botón B" class="boton2">
    <p>P UNO</p>
    <p>P DOS</p>
    <p>P TRES</p>
    <p>P CUATRO</p>
    <p>P CINCO</p>
    <p>P SEIS</p>

    <div id="capa2">Pon el ratón encima de esta capa</div>
    <br>
    <div id="mensaje">Has puesto el ratón encima!! <br>(Ahora quítalo de la capa)</div>

    <script src="https://code.jquery.com/jquery-3.6.0.js"></script>
    <script>
        $('p').click(
            function () {
                alert($(this).text());
            });

        $('p').hide(300).delay(1000).show(300);

        $('.boton1').click(function () {
            $('#capa').html('Has hecho click en el boton <b>A</b>');
            $('#capa').css({
                'display': 'block',
                'background-color': 'cornflowerblue'
            });
        });

        $('.boton2').click(function () {
            $('#capa').html('Has hecho click en el boton <b>B</b>');
            $('#capa').css({
                'display': 'block',
                'background-color': 'brown',
                'color': 'white'
            });
        });

        $("#capa2").mouseenter(function (evento) {
            $("#mensaje").css("display", "block");
        });
        $("#capa2").mouseleave(function (evento) {
            $("#mensaje").css("display", "none");
        });


    </script>
</body>

</html>